Bug 1294502 - [abrt] supertuxkart: nouveau_pushbuf_data(): supertuxkart killed by SIGABRT
[abrt] supertuxkart: nouveau_pushbuf_data(): supertuxkart killed by SIGABRT
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:be09a3a50bec23c3eb5c32f9a86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 09:41 EST by Paulim
Modified: 2016-09-14 04:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-14 04:04:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.60 KB, text/plain)
2015-12-28 09:41 EST, Paulim
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-28 09:41 EST, Paulim
no flags Details
File: core_backtrace (4.64 KB, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: dso_list (10.14 KB, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: environ (1.59 KB, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: maps (72.62 KB, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: mountinfo (3.67 KB, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: open_fds (943 bytes, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details
File: var_log_messages (534 bytes, text/plain)
2015-12-28 09:42 EST, Paulim
no flags Details

  None (edit)
Description Paulim 2015-12-28 09:41:50 EST
Version-Release number of selected component:
supertuxkart-0.9-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        supertuxkart
crash_function: nouveau_pushbuf_data
executable:     /usr/bin/supertuxkart
global_pid:     3711
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 nouveau_pushbuf_data at pushbuf.c:726
 #5 nvc0_draw_indirect at nvc0/nvc0_vbo.c:833
 #6 nvc0_draw_vbo at nvc0/nvc0_vbo.c:984
 #7 st_draw_vbo at state_tracker/st_draw.c:290
 #8 vbo_validated_drawelementsindirect at vbo/vbo_exec_array.c:1641
 #9 vbo_exec_DrawElementsIndirect at vbo/vbo_exec_array.c:1734
 #10 renderInstancedMeshes2ndPass<AlphaRef> at /usr/src/debug/supertuxkart-0.9/src/graphics/render_geometry.cpp:585
 #11 IrrDriver::renderSolidSecondPass at /usr/src/debug/supertuxkart-0.9/src/graphics/render_geometry.cpp:684
 #12 IrrDriver::renderScene at /usr/src/debug/supertuxkart-0.9/src/graphics/render.cpp:436
 #13 IrrDriver::renderGLSL at /usr/src/debug/supertuxkart-0.9/src/graphics/render.cpp:190
Comment 1 Paulim 2015-12-28 09:41:56 EST
Created attachment 1110022 [details]
File: backtrace
Comment 2 Paulim 2015-12-28 09:41:58 EST
Created attachment 1110023 [details]
File: cgroup
Comment 3 Paulim 2015-12-28 09:42:00 EST
Created attachment 1110024 [details]
File: core_backtrace
Comment 4 Paulim 2015-12-28 09:42:02 EST
Created attachment 1110025 [details]
File: dso_list
Comment 5 Paulim 2015-12-28 09:42:03 EST
Created attachment 1110026 [details]
File: environ
Comment 6 Paulim 2015-12-28 09:42:05 EST
Created attachment 1110027 [details]
File: limits
Comment 7 Paulim 2015-12-28 09:42:08 EST
Created attachment 1110028 [details]
File: maps
Comment 8 Paulim 2015-12-28 09:42:10 EST
Created attachment 1110029 [details]
File: mountinfo
Comment 9 Paulim 2015-12-28 09:42:12 EST
Created attachment 1110030 [details]
File: namespaces
Comment 10 Paulim 2015-12-28 09:42:14 EST
Created attachment 1110031 [details]
File: open_fds
Comment 11 Paulim 2015-12-28 09:42:15 EST
Created attachment 1110032 [details]
File: proc_pid_status
Comment 12 Paulim 2015-12-28 09:42:17 EST
Created attachment 1110033 [details]
File: var_log_messages
Comment 13 pankaj pandey 2016-02-09 03:36:01 EST
Similar problem has been detected:

Started the application and trying to start a new game in windowed mode. I have a two monitor setup if that is relevant

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        supertuxkart
crash_function: nouveau_pushbuf_data
executable:     /usr/bin/supertuxkart
global_pid:     27964
kernel:         4.3.4-300.fc23.x86_64
package:        supertuxkart-0.9-2.fc23
reason:         supertuxkart killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Ryan 2016-03-25 04:39:55 EDT
Similar problem has been detected:

started the game in story mode, game crashed after opening sequence

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/supertuxkart
crash_function: nouveau_pushbuf_data
executable:     /usr/bin/supertuxkart
global_pid:     5476
kernel:         4.4.6-300.fc23.x86_64
package:        supertuxkart-0.9-2.fc23
reason:         supertuxkart killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Ryan 2016-04-05 07:52:17 EDT
Similar problem has been detected:

Enable dynamic lighting start story mode, game crashes before starting. If you disable 'advanced piping'/dynamic lighting it works without issues

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        supertuxkart
crash_function: nouveau_pushbuf_data
executable:     /usr/bin/supertuxkart
global_pid:     3188
kernel:         4.4.6-300.fc23.x86_64
package:        supertuxkart-0.9.1-2.fc23
reason:         supertuxkart killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Igor Gnatenko 2016-09-14 04:04:12 EDT
I hope this has been resolved already, if not - please reopen bug.

Note You need to log in before you can comment on or make changes to this bug.